Subject: Re: [bug#48325] update of julia to 1.6.1

From: zimoun <[email-masked]>
Date: Wed, 16 Jun 2021 06:52:15 +0200

Hi,

On Sun, 13 Jun 2021 at 20:37, Jean-Baptiste Volatier via Guix-patches via <[email-masked]> wrote:
> On Sunday, June 6th, 2021 at 11:26 PM, Nicolò Balzarotti <[email-masked]> wrote:
>
>> Ludovic Courtès [email-masked] writes:
>>> Should we go for a v4 that addresses these two remaining issues?
>
> I modified the patch to fix the curl issue.
> Regarding the staticarrays issue, disabling the offending test
> (seems reasonable according to upstream) reveals more broken tests
> in arraymath.jl.

Yes I did the same.  But all was not fine.

>> There's a new issue we should address, that is our pre-built julia
>> binaries are not working on my x200 anymore. I get:
>>
>>> ERROR: Your CPU does not support the CX16 instruction, which is
>>> required by this version of Julia! This is often due to running
>>> inside of a virtualized environment. Please read
>>> https://docs.julialang.org/en/v1/devdocs/sysimg/ for more.
>
> I added a new sysimg target in the patch which should fix this can
> you try it?
>
> However we might want to be cautious with that because the julia
> docs says:
>
>> Alternatively, a sysimg could be generated with the target
>> generic,-cx16 for greater compatibility, however note that this
>> may cause performance and stability problems in some code.
>
> Any thoughts?

I do not know if it is the right approach.  On the other hand, I do not
have better to propose. :-)

Well, I do not have the time to work on this until the end of the next
week (~June, 25th).

All the best,
simon